unit Unit1;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Imaging.pngimage, Vcl.Controls,
  WEBLib.ExtCtrls, Vcl.StdCtrls, WEBLib.StdCtrls;

type
  TForm1 = class(TWebForm)
    WebButton1: TWebButton;
    WebImageControl1: TWebImageControl;
    WebMemo1: TWebMemo;

    [async]
    procedure WebButton1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    [async]
    procedure WebImageControl1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;


implementation

uses Unit2;

var
  fm_Form2 : TForm2;

{$R *.dfm}

procedure TForm1.WebButton1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  fm_Form2       := TForm2.Create(Self);
  fm_Form2.Popup := true;
  fm_Form2.Tag   := 1;

  await(TForm2, fm_Form2.Load());
  try
    await(TModalResult, fm_Form2.Execute);
  finally
    fm_Form2.Free;
  end;
end;

procedure TForm1.WebImageControl1Click(Sender: TObject);
begin
  fm_Form2       := TForm2.Create(Self);
  fm_Form2.Popup := true;
  fm_Form2.Tag   := 2;

  await(TForm2, fm_Form2.Load());
  try
    await(TModalResult, fm_Form2.Execute);
  finally
    fm_Form2.Free;
  end;
end;

end.
