unit Unit2;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls;

type
  TForm2 = class(TWebForm)
    WebButton1: TWebButton;
    WebButton2: TWebButton;
    WebButton3: TWebButton;
    WebMemo1: TWebMemo;
    procedure WebButton1Click(Sender: TObject);
    procedure WebButton2Click(Sender: TObject);
    procedure WebFormCreate(Sender: TObject);
    procedure WebButton3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form2: TForm2;

  CallMouseFun : string;
  mrResult     : integer;

implementation


{$R *.dfm}

procedure TForm2.WebButton1Click(Sender: TObject);
begin
  mrResult := mrOk;
  Close;
end;

procedure TForm2.WebButton2Click(Sender: TObject);
begin
  mrResult := mrCancel;
  Close;
end;

procedure TForm2.WebButton3Click(Sender: TObject);
begin
  Height := 300;
  Width  := 300;

  WebMemo1.Lines.Add('Set Width/Height');
end;

procedure TForm2.WebFormCreate(Sender: TObject);
begin
  WebMemo1.Lines.Clear;

  if (Tag = 1) then begin
    Left   := 10;
    Top    := 10;
    Height := 100;
    Width  := 100;

    WebMemo1.Lines.Add('Tag = 1');
  end;
  if (Tag = 2) then begin
    Left   := 100;
    Top    := 100;
    Height := 200;
    Width  := 200;

    WebMemo1.Lines.Add('Tag = 2');
  end;
end;

end.
